import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotTruckWeighPlug/` + url, ...arg)

/**
 * 车辆称重补单表Api接口管理器
 *
 * @author xiang
 * @date  2023/11/27 08:54
 **/
export default {
	// 获取车辆称重补单表分页
	depotTruckWeighPlugPage(data) {
		return request('page', data, 'get')
	},
	// 获取车辆称重补单表列表
	depotTruckWeighPlugList(data) {
		return request('list', data, 'get')
	},
	// 提交车辆称重补单表表单 edit为true时为编辑，默认为新增
	depotTruckWeighPlugSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除车辆称重补单表
	depotTruckWeighPlugDelete(data) {
		return request('delete', data)
	},
	// 获取车辆称重补单表详情
	depotTruckWeighPlugDetail(data) {
		return request('detail', data, 'get')
	},
	// 提交审批
	bankOpApproval(data) {
		return request('bankOpApproval', data)
	},
}
